PHP 7.2

PHP 7.2的正式版已发布。我测试了其与我所使用的多个PHP Web Applications的兼容性。

测试环境为:

  • Ubuntu 16.04.3(LTS)/Linux Kernel 4.13.16_generic
  • Apache 2.4.29
  • PHP7.2-FPM

测试了以下Application:

  1. WordPress 4.9.1及以下插件 - 未发现不兼容
    • JetPack
    • Crayon Syntax Highlighter
    • AMP
    • MailGun
  2. Typecho 17.10.10 - 未发现不兼容
  3. phpMyAdmin 4.7.6 - 未发现不兼容
  4. NextCloud 12 - 不兼容,报错无法运行,推测是因为PHP7.2移除了mcrypt扩展造成的。